bk://linux-dj.bkbits.net/cpufreq
davej@redhat.com|ChangeSet|20050223174922|52844 davej

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2005/03/01 22:12:24-08:00 akpm@bix.(none) 
#   Merge bk://linux-dj.bkbits.net/cpufreq
#   into bix.(none):/usr/src/bk-cpufreq
# 
# drivers/cpufreq/cpufreq.c
#   2005/03/01 22:12:20-08:00 akpm@bix.(none) +0 -0
#   Auto merged
# 
# ChangeSet
#   2005/02/23 12:49:22-05:00 davej@redhat.com 
#   [CPUFREQ] cpufreq-core: reduce warning messages.
#   
#   cpufreq core is printing out messages at KERN_WARNING level that the core
#   recovers from without intervention, and that the system administrator can
#   do nothing about.  Patch below reduces the severity of these messages to
#   debug.
#   
#   Signed-off-by: Matt Domsch <Matt_Domsch@dell.com>
#   Signed-off-by: Andrew Morton <akpm@osdl.org>
#   Signed-off-by: Dave Jones <davej@redhat.com>
# 
# drivers/cpufreq/cpufreq.c
#   2005/02/23 12:49:13-05:00 davej@redhat.com +4 -4
#   [CPUFREQ] cpufreq-core: reduce warning messages.
#   
#   cpufreq core is printing out messages at KERN_WARNING level that the core
#   recovers from without intervention, and that the system administrator can
#   do nothing about.  Patch below reduces the severity of these messages to
#   debug.
#   
#   Signed-off-by: Matt Domsch <Matt_Domsch@dell.com>
#   Signed-off-by: Andrew Morton <akpm@osdl.org>
#   Signed-off-by: Dave Jones <davej@redhat.com>
# 
# ChangeSet
#   2005/01/27 19:16:17-05:00 davej@redhat.com 
#   [CPUFREQ] powernow-k7: don't print khz element of FSB.
#   
#   Signed-off-by: Dave Jones <davej@redhat.com>
# 
# arch/i386/kernel/cpu/cpufreq/powernow-k7.c
#   2005/01/27 19:16:08-05:00 davej@redhat.com +1 -1
#   [CPUFREQ] powernow-k7: don't print khz element of FSB.
#   
#   Signed-off-by: Dave Jones <davej@redhat.com>
# 
diff -Nru a/arch/i386/kernel/cpu/cpufreq/powernow-k7.c b/arch/i386/kernel/cpu/cpufreq/powernow-k7.c
--- a/arch/i386/kernel/cpu/cpufreq/powernow-k7.c	2005-03-03 21:52:54 -08:00
+++ b/arch/i386/kernel/cpu/cpufreq/powernow-k7.c	2005-03-03 21:52:54 -08:00
@@ -592,7 +592,7 @@
 		printk(KERN_WARNING PFX "can not determine bus frequency\n");
 		return -EINVAL;
 	}
-	dprintk("FSB: %3d.%03d MHz\n", fsb/1000, fsb%1000);
+	dprintk("FSB: %3dMHz\n", fsb/1000);
 
 	if (dmi_check_system(powernow_dmi_table) || acpi_force) {
 		printk (KERN_INFO PFX "PSB/PST known to be broken.  Trying ACPI instead\n");
diff -Nru a/drivers/cpufreq/cpufreq.c b/drivers/cpufreq/cpufreq.c
--- a/drivers/cpufreq/cpufreq.c	2005-03-03 21:52:54 -08:00
+++ b/drivers/cpufreq/cpufreq.c	2005-03-03 21:52:54 -08:00
@@ -258,7 +258,7 @@
 			    (likely(cpufreq_cpu_data[freqs->cpu]->cur)) &&
 			    (unlikely(freqs->old != cpufreq_cpu_data[freqs->cpu]->cur)))
 			{
-				printk(KERN_WARNING "Warning: CPU frequency is %u, "
+				dprintk("Warning: CPU frequency is %u, "
 				       "cpufreq assumed %u kHz.\n", freqs->old, cpufreq_cpu_data[freqs->cpu]->cur);
 				freqs->old = cpufreq_cpu_data[freqs->cpu]->cur;
 			}
@@ -814,7 +814,7 @@
 {
 	struct cpufreq_freqs freqs;
 
-	printk(KERN_WARNING "Warning: CPU frequency out of sync: cpufreq and timing "
+	dprintk("Warning: CPU frequency out of sync: cpufreq and timing "
 	       "core thinks of %u, is %u kHz.\n", old_freq, new_freq);
 
 	freqs.cpu = cpu;
@@ -922,8 +922,8 @@
 		if (unlikely(cur_freq != cpu_policy->cur)) {
 			struct cpufreq_freqs freqs;
 
-			printk(KERN_WARNING "Warning: CPU frequency is %u, "
-			       "cpufreq assumed %u kHz.\n", cur_freq, cpu_policy->cur);
+			dprintk("Warning: CPU frequency is %u, cpufreq assumed %u kHz.\n",
+							cur_freq, cpu_policy->cur);
 
 			freqs.cpu = cpu;
 			freqs.old = cpu_policy->cur;
